﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace GridSample.Controllers
{
    using Models;

    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var people = this.GeneratePeople().AsQueryable();
            
            return View(people);
        }

        private List<Person> GeneratePeople()
        {
            var people = new List<Person>()
            {
                new Person(1, "Little", "Wuckert", 29),
                new Person(2, "Dillon", "Mann", 54),
                new Person(3, "Drusilla", "Rolfson", 71),
                new Person(4, "Bennett", "Carroll", 77),
                new Person(5, "Eloy", "DuBuque", 88),
                new Person(6, "Lenord", "Wunsch", 21),
                new Person(7, "Katelyn", "Schmidt", 67),
                new Person(8, "Roslyn", "Herzog", 56),
                new Person(9, "Lorrie", "Berge", 93),
                new Person(10, "Rickie", "Gutkowski", 99),
                new Person(11, "Eston", "Klein", 48),
                new Person(12, "Truman", "Lockman", 57),
                new Person(13, "Manilla", "Ankunding", 0),
                new Person(14, "Kimberlie", "Considine", 59),
                new Person(15, "Lilah", "Tromp", 13),
                new Person(16, "Mercer", "Buckridge", 55),
                new Person(17, "Art", "Watsica", 82),
                new Person(18, "Rosendo", "O'Conner", 7),
                new Person(19, "Kamden", "Quigley", 83),
                new Person(20, "Merilyn", "Beahan", 16),
                new Person(21, "Dana", "Hickle", 53),
                new Person(22, "Mattye", "Macejkovic", 89),
                new Person(23, "Chadrick", "Sanford", 93),
                new Person(24, "Hollie", "Ritchie", 31),
                new Person(25, "Val", "Hettinger", 91),
                new Person(26, "Louis", "Hayes", 36),
                new Person(27, "Mearl", "Shanahan", 77),
                new Person(28, "Katina", "Becker", 64),
                new Person(29, "Winnifred", "Gottlieb", 13),
                new Person(30, "Doloris", "Thompson", 91),
                new Person(31, "Emely", "Goldner", 18),
                new Person(32, "Aloma", "Schuppe", 70),
                new Person(33, "Araceli", "Hudson", 5),
                new Person(34, "Michal", "Hessel", 90),
                new Person(35, "Kathlyn", "Bergstrom", 4),
                new Person(36, "Oran", "Quitzon", 62),
                new Person(37, "Mya", "Robel", 90),
                new Person(38, "Kaelyn", "Russel", 14),
                new Person(39, "Adel", "Bailey", 42),
                new Person(40, "Keena", "Kemmer", 67),
                new Person(41, "Margarette", "Lubowitz", 6),
                new Person(42, "Finley", "Nienow", 82),
                new Person(43, "Della", "Stroman", 52),
                new Person(44, "Minor", "Boyle", 63),
                new Person(45, "Tyshawn", "Paucek", 75),
                new Person(46, "Billye", "Crona", 19),
                new Person(47, "Ericka", "Block", 53),
                new Person(48, "Mavis", "Blick", 52),
                new Person(49, "Creed", "Lindgren", 85),
                new Person(50, "Kenia", "Ward", 36),
                new Person(51, "Shelby", "Satterfield", 66),
                new Person(52, "Delano", "Kohler", 99),
                new Person(53, "Ernest", "Cummerata", 19),
                new Person(54, "Mark", "Wiegand", 45),
                new Person(55, "Devyn", "Hilll", 75),
                new Person(56, "Claudius", "Hackett", 53),
                new Person(57, "Sydell", "Hermann", 24),
                new Person(58, "Aurelia", "Paucek", 18),
                new Person(59, "Sina", "Casper", 94),
                new Person(60, "Jaylee", "Jewess", 44),
                new Person(61, "Kody", "Pagac", 37),
                new Person(62, "Kaye", "Schuster", 31),
                new Person(63, "Colbert", "Jast", 62),
                new Person(64, "Lizbeth", "Oberbrunner", 92),
                new Person(65, "Peggie", "Runolfsdottir", 98),
                new Person(66, "Rosendo", "Marks", 47),
                new Person(67, "Nicki", "Adams", 31),
                new Person(68, "Declan", "Legros", 45),
                new Person(69, "Lilburn", "Reynolds", 22),
                new Person(70, "Tyrek", "Ortiz", 0),
                new Person(71, "Zaniyah", "Quitzon", 86),
                new Person(72, "Leonia", "Abbott", 24),
                new Person(73, "Jefferey", "Konopelski", 63),
                new Person(74, "Humberto", "Dickens", 96),
                new Person(75, "Deneen", "Hammes", 50),
                new Person(76, "Jaylah", "Runte", 83),
                new Person(77, "Chaya", "Hintz", 80),
                new Person(78, "Davy", "Stracke", 58),
                new Person(79, "Phylicia", "Heaney", 80),
                new Person(80, "Creola", "Jaskolski", 85),
                new Person(81, "Eleanora", "Powlowski", 20),
                new Person(82, "Ashton", "Balistreri", 92),
                new Person(83, "Laura", "Mosciski", 65),
                new Person(84, "Fred", "Lemke", 5),
                new Person(85, "Olof", "Conn", 20),
                new Person(86, "Kordell", "Powlowski", 24),
                new Person(87, "Milas", "Bergnaum", 73),
                new Person(88, "Starla", "Aufderhar", 25),
                new Person(89, "Merle", "Muller", 42),
                new Person(90, "Tamatha", "Gibson", 93),
                new Person(91, "Sonja", "Cassin", 42),
                new Person(92, "Izola", "Fadel", 1),
                new Person(93, "Metro", "Boyle", 94),
                new Person(94, "Ala", "Gusikowski", 10),
                new Person(95, "Rosita", "O'Conner", 14),
                new Person(96, "Ragna", "Kovacek", 66),
                new Person(97, "Lazaro", "Shields", 69),
                new Person(98, "Randell", "Bednar", 65),
                new Person(99, "Chante", "Rice", 12),
                new Person(100, "Brenton", "Fadel", 79),
            };

            return people;
        }
    }
}